﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace xamDataGridExternalSave
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Person> col = new ObservableCollection<Person>();
            col.Add(new Person() { Name = "John", Age = 32 });
            col.Add(new Person() { Name = "John1", Age = 33 });
            col.Add(new Person() { Name = "John2", Age = 52 });
            xamDataGrid1.DataSource = col;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.ExecuteCommand(DataPresenterCommands.CommitChangesToAllRecords);
        }
    }
    public class Person
    {
        public String Name { get; set; }
        public int Age { get; set; }
    }

}
